"Fossies" - the Fresh Open Source Software Archive

Member "dbus-1.12.20/doc/Makefile.in" (2 Jul 2020, 33350 Bytes) of package /linux/misc/dbus-1.12.20.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.12.18_vs_1.12.20.

    1 # Makefile.in generated by automake 1.16.2 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2020 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 VPATH = @srcdir@
   18 am__is_gnu_make = { \
   19   if test -z '$(MAKELEVEL)'; then \
   20     false; \
   21   elif test -n '$(MAKE_HOST)'; then \
   22     true; \
   23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   24     true; \
   25   else \
   26     false; \
   27   fi; \
   28 }
   29 am__make_running_with_option = \
   30   case $${target_option-} in \
   31       ?) ;; \
   32       *) echo "am__make_running_with_option: internal error: invalid" \
   33               "target option '$${target_option-}' specified" >&2; \
   34          exit 1;; \
   35   esac; \
   36   has_opt=no; \
   37   sane_makeflags=$$MAKEFLAGS; \
   38   if $(am__is_gnu_make); then \
   39     sane_makeflags=$$MFLAGS; \
   40   else \
   41     case $$MAKEFLAGS in \
   42       *\\[\ \	]*) \
   43         bs=\\; \
   44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   45           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   46     esac; \
   47   fi; \
   48   skip_next=no; \
   49   strip_trailopt () \
   50   { \
   51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   52   }; \
   53   for flg in $$sane_makeflags; do \
   54     test $$skip_next = yes && { skip_next=no; continue; }; \
   55     case $$flg in \
   56       *=*|--*) continue;; \
   57         -*I) strip_trailopt 'I'; skip_next=yes;; \
   58       -*I?*) strip_trailopt 'I';; \
   59         -*O) strip_trailopt 'O'; skip_next=yes;; \
   60       -*O?*) strip_trailopt 'O';; \
   61         -*l) strip_trailopt 'l'; skip_next=yes;; \
   62       -*l?*) strip_trailopt 'l';; \
   63       -[dEDm]) skip_next=yes;; \
   64       -[JT]) skip_next=yes;; \
   65     esac; \
   66     case $$flg in \
   67       *$$target_option*) has_opt=yes; break;; \
   68     esac; \
   69   done; \
   70   test $$has_opt = yes
   71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   73 pkgdatadir = $(datadir)/@PACKAGE@
   74 pkgincludedir = $(includedir)/@PACKAGE@
   75 pkglibdir = $(libdir)/@PACKAGE@
   76 pkglibexecdir = $(libexecdir)/@PACKAGE@
   77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   78 install_sh_DATA = $(install_sh) -c -m 644
   79 install_sh_PROGRAM = $(install_sh) -c
   80 install_sh_SCRIPT = $(install_sh) -c
   81 INSTALL_HEADER = $(INSTALL_DATA)
   82 transform = $(program_transform_name)
   83 NORMAL_INSTALL = :
   84 PRE_INSTALL = :
   85 POST_INSTALL = :
   86 NORMAL_UNINSTALL = :
   87 PRE_UNINSTALL = :
   88 POST_UNINSTALL = :
   89 build_triplet = @build@
   90 host_triplet = @host@
   91 @DBUS_XML_DOCS_ENABLED_TRUE@am__append_1 = $(XMLTO_HTML)
   92 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_HAVE_XSLTPROC_TRUE@am__append_2 = dbus.devhelp2
   93 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_DUCKTYPE_DOCS_ENABLED_TRUE@am__append_3 = $(YELP_HTML)
   94 subdir = doc
   95 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   96 am__aclocal_m4_deps = $(top_srcdir)/m4/as-ac-expand.m4 \
   97 	$(top_srcdir)/m4/ax_ac_append_to_file.m4 \
   98 	$(top_srcdir)/m4/ax_ac_print_to_file.m4 \
   99 	$(top_srcdir)/m4/ax_add_am_macro_static.m4 \
  100 	$(top_srcdir)/m4/ax_am_macros_static.m4 \
  101 	$(top_srcdir)/m4/ax_code_coverage.m4 \
  102 	$(top_srcdir)/m4/ax_file_escapes.m4 \
  103 	$(top_srcdir)/m4/ld-version-script.m4 \
  104 	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
  105 	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
  106 	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/pkg.m4 \
  107 	$(top_srcdir)/m4/visibility.m4 $(top_srcdir)/configure.ac
  108 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  109 	$(ACLOCAL_M4)
  110 DIST_COMMON = $(srcdir)/Makefile.am $(dist_doc_DATA) $(dist_dtd_DATA) \
  111 	$(dist_html_DATA) $(am__DIST_COMMON)
  112 mkinstalldirs = $(install_sh) -d
  113 CONFIG_HEADER = $(top_builddir)/config.h
  114 CONFIG_CLEAN_FILES = dbus-cleanup-sockets.1.xml dbus-daemon.1.xml \
  115 	dbus-launch.1.xml dbus-monitor.1.xml dbus-run-session.1.xml \
  116 	dbus-send.1.xml dbus-test-tool.1.xml \
  117 	dbus-update-activation-environment.1.xml dbus-uuidgen.1.xml
  118 CONFIG_CLEAN_VPATH_FILES =
  119 AM_V_P = $(am__v_P_@AM_V@)
  120 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  121 am__v_P_0 = false
  122 am__v_P_1 = :
  123 AM_V_GEN = $(am__v_GEN_@AM_V@)
  124 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  125 am__v_GEN_0 = @echo "  GEN     " $@;
  126 am__v_GEN_1 = 
  127 AM_V_at = $(am__v_at_@AM_V@)
  128 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  129 am__v_at_0 = @
  130 am__v_at_1 = 
  131 SOURCES =
  132 DIST_SOURCES =
  133 am__can_run_installinfo = \
  134   case $$AM_UPDATE_INFO_DIR in \
  135     n|no|NO) false;; \
  136     *) (install-info --version) >/dev/null 2>&1;; \
  137   esac
  138 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  139 am__vpath_adj = case $$p in \
  140     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  141     *) f=$$p;; \
  142   esac;
  143 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  144 am__install_max = 40
  145 am__nobase_strip_setup = \
  146   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  147 am__nobase_strip = \
  148   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  149 am__nobase_list = $(am__nobase_strip_setup); \
  150   for p in $$list; do echo "$$p $$p"; done | \
  151   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  152   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  153     if (++n[$$2] == $(am__install_max)) \
  154       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  155     END { for (dir in files) print dir, files[dir] }'
  156 am__base_list = \
  157   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  158   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  159 am__uninstall_files_from_dir = { \
  160   test -z "$$files" \
  161     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  162     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  163          $(am__cd) "$$dir" && rm -f $$files; }; \
  164   }
  165 man1dir = $(mandir)/man1
  166 am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(docdir)" \
  167 	"$(DESTDIR)$(dtddir)" "$(DESTDIR)$(htmldir)" \
  168 	"$(DESTDIR)$(htmldir)"
  169 NROFF = nroff
  170 MANS = $(man1_MANS)
  171 DATA = $(dist_doc_DATA) $(dist_dtd_DATA) $(dist_html_DATA) \
  172 	$(html_DATA)
  173 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  174 am__DIST_COMMON = $(srcdir)/Makefile.in \
  175 	$(srcdir)/dbus-cleanup-sockets.1.xml.in \
  176 	$(srcdir)/dbus-daemon.1.xml.in $(srcdir)/dbus-launch.1.xml.in \
  177 	$(srcdir)/dbus-monitor.1.xml.in \
  178 	$(srcdir)/dbus-run-session.1.xml.in \
  179 	$(srcdir)/dbus-send.1.xml.in $(srcdir)/dbus-test-tool.1.xml.in \
  180 	$(srcdir)/dbus-update-activation-environment.1.xml.in \
  181 	$(srcdir)/dbus-uuidgen.1.xml.in TODO
  182 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  183 ACLOCAL = @ACLOCAL@
  184 ADT_LIBS = @ADT_LIBS@
  185 AMTAR = @AMTAR@
  186 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  187 APPARMOR_2_10_CFLAGS = @APPARMOR_2_10_CFLAGS@
  188 APPARMOR_2_10_LIBS = @APPARMOR_2_10_LIBS@
  189 APPARMOR_CFLAGS = @APPARMOR_CFLAGS@
  190 APPARMOR_LIBS = @APPARMOR_LIBS@
  191 AR = @AR@
  192 AUTOCONF = @AUTOCONF@
  193 AUTOHEADER = @AUTOHEADER@
  194 AUTOMAKE = @AUTOMAKE@
  195 AWK = @AWK@
  196 BUILD_FILEVERSION = @BUILD_FILEVERSION@
  197 BUILD_TIMESTAMP = @BUILD_TIMESTAMP@
  198 CC = @CC@
  199 CCDEPMODE = @CCDEPMODE@
  200 CFLAGS = @CFLAGS@
  201 CFLAG_VISIBILITY = @CFLAG_VISIBILITY@
  202 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
  203 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
  204 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
  205 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
  206 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
  207 CPP = @CPP@
  208 CPPFLAGS = @CPPFLAGS@
  209 CXX = @CXX@
  210 CXXCPP = @CXXCPP@
  211 CXXDEPMODE = @CXXDEPMODE@
  212 CXXFLAGS = @CXXFLAGS@
  213 CYGPATH_W = @CYGPATH_W@
  214 DATADIR_FROM_PKGSYSCONFDIR = @DATADIR_FROM_PKGSYSCONFDIR@
  215 DBUS_BINDIR = @DBUS_BINDIR@
  216 DBUS_CONSOLE_OWNER_FILE = @DBUS_CONSOLE_OWNER_FILE@
  217 DBUS_DAEMONDIR = @DBUS_DAEMONDIR@
  218 DBUS_DATADIR = @DBUS_DATADIR@
  219 DBUS_INT16_TYPE = @DBUS_INT16_TYPE@
  220 DBUS_INT32_TYPE = @DBUS_INT32_TYPE@
  221 DBUS_INT64_CONSTANT = @DBUS_INT64_CONSTANT@
  222 DBUS_INT64_TYPE = @DBUS_INT64_TYPE@
  223 DBUS_LIBEXECDIR = @DBUS_LIBEXECDIR@
  224 DBUS_MAJOR_VERSION = @DBUS_MAJOR_VERSION@
  225 DBUS_MICRO_VERSION = @DBUS_MICRO_VERSION@
  226 DBUS_MINOR_VERSION = @DBUS_MINOR_VERSION@
  227 DBUS_PREFIX = @DBUS_PREFIX@
  228 DBUS_SESSION_BUS_CONNECT_ADDRESS = @DBUS_SESSION_BUS_CONNECT_ADDRESS@
  229 DBUS_SESSION_BUS_LISTEN_ADDRESS = @DBUS_SESSION_BUS_LISTEN_ADDRESS@
  230 DBUS_SESSION_CONF_MAYBE_AUTH_EXTERNAL = @DBUS_SESSION_CONF_MAYBE_AUTH_EXTERNAL@
  231 DBUS_SESSION_SOCKET_DIR = @DBUS_SESSION_SOCKET_DIR@
  232 DBUS_STATIC_BUILD_CPPFLAGS = @DBUS_STATIC_BUILD_CPPFLAGS@
  233 DBUS_SYSTEM_BUS_DEFAULT_ADDRESS = @DBUS_SYSTEM_BUS_DEFAULT_ADDRESS@
  234 DBUS_SYSTEM_PID_FILE = @DBUS_SYSTEM_PID_FILE@
  235 DBUS_SYSTEM_SOCKET = @DBUS_SYSTEM_SOCKET@
  236 DBUS_TEST_DATA = @DBUS_TEST_DATA@
  237 DBUS_TEST_EXEC = @DBUS_TEST_EXEC@
  238 DBUS_TEST_USER = @DBUS_TEST_USER@
  239 DBUS_UINT64_CONSTANT = @DBUS_UINT64_CONSTANT@
  240 DBUS_USER = @DBUS_USER@
  241 DBUS_VERSION = @DBUS_VERSION@
  242 DBUS_X_CFLAGS = @DBUS_X_CFLAGS@
  243 DBUS_X_LIBS = @DBUS_X_LIBS@
  244 DEFS = @DEFS@
  245 DEPDIR = @DEPDIR@
  246 DLLTOOL = @DLLTOOL@
  247 DOXYGEN = @DOXYGEN@
  248 DSYMUTIL = @DSYMUTIL@
  249 DUCKTYPE = @DUCKTYPE@
  250 DUMPBIN = @DUMPBIN@
  251 ECHO_C = @ECHO_C@
  252 ECHO_N = @ECHO_N@
  253 ECHO_T = @ECHO_T@
  254 EGREP = @EGREP@
  255 EXEEXT = @EXEEXT@
  256 EXPANDED_BINDIR = @EXPANDED_BINDIR@
  257 EXPANDED_DATADIR = @EXPANDED_DATADIR@
  258 EXPANDED_LIBDIR = @EXPANDED_LIBDIR@
  259 EXPANDED_LIBEXECDIR = @EXPANDED_LIBEXECDIR@
  260 EXPANDED_LOCALSTATEDIR = @EXPANDED_LOCALSTATEDIR@
  261 EXPANDED_PREFIX = @EXPANDED_PREFIX@
  262 EXPANDED_RUNSTATEDIR = @EXPANDED_RUNSTATEDIR@
  263 EXPANDED_SYSCONFDIR = @EXPANDED_SYSCONFDIR@
  264 EXPAT_CFLAGS = @EXPAT_CFLAGS@
  265 EXPAT_LIBS = @EXPAT_LIBS@
  266 EXTRA_CFLAGS = @EXTRA_CFLAGS@
  267 EXTRA_CXXFLAGS = @EXTRA_CXXFLAGS@
  268 EXTRA_LDFLAGS = @EXTRA_LDFLAGS@
  269 FGREP = @FGREP@
  270 GCOV = @GCOV@
  271 GENHTML = @GENHTML@
  272 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
  273 GIO_UNIX_CFLAGS = @GIO_UNIX_CFLAGS@
  274 GIO_UNIX_LIBS = @GIO_UNIX_LIBS@
  275 GLIB_CFLAGS = @GLIB_CFLAGS@
  276 GLIB_LIBS = @GLIB_LIBS@
  277 GREP = @GREP@
  278 HAVE_VISIBILITY = @HAVE_VISIBILITY@
  279 INSTALL = @INSTALL@
  280 INSTALL_DATA = @INSTALL_DATA@
  281 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  282 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  283 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  284 LAUNCHCTL = @LAUNCHCTL@
  285 LAUNCHD_AGENT_DIR = @LAUNCHD_AGENT_DIR@
  286 LCOV = @LCOV@
  287 LD = @LD@
  288 LDFLAGS = @LDFLAGS@
  289 LIBDBUS_LIBS = @LIBDBUS_LIBS@
  290 LIBOBJS = @LIBOBJS@
  291 LIBS = @LIBS@
  292 LIBTOOL = @LIBTOOL@
  293 LIPO = @LIPO@
  294 LN_S = @LN_S@
  295 LTLIBOBJS = @LTLIBOBJS@
  296 LT_AGE = @LT_AGE@
  297 LT_CURRENT = @LT_CURRENT@
  298 LT_REVISION = @LT_REVISION@
  299 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  300 MAINT = @MAINT@
  301 MAKEINFO = @MAKEINFO@
  302 MANIFEST_TOOL = @MANIFEST_TOOL@
  303 MKDIR_P = @MKDIR_P@
  304 NETWORK_libs = @NETWORK_libs@
  305 NM = @NM@
  306 NMEDIT = @NMEDIT@
  307 OBJDUMP = @OBJDUMP@
  308 OBJEXT = @OBJEXT@
  309 OTOOL = @OTOOL@
  310 OTOOL64 = @OTOOL64@
  311 PACKAGE = @PACKAGE@
  312 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  313 PACKAGE_NAME = @PACKAGE_NAME@
  314 PACKAGE_STRING = @PACKAGE_STRING@
  315 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  316 PACKAGE_URL = @PACKAGE_URL@
  317 PACKAGE_VERSION = @PACKAGE_VERSION@
  318 PATH_SEPARATOR = @PATH_SEPARATOR@
  319 PKG_CONFIG = @PKG_CONFIG@
  320 PYTHON = @PYTHON@
  321 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
  322 PYTHON_PLATFORM = @PYTHON_PLATFORM@
  323 PYTHON_PREFIX = @PYTHON_PREFIX@
  324 PYTHON_VERSION = @PYTHON_VERSION@
  325 RANLIB = @RANLIB@
  326 RC = @RC@
  327 R_DYNAMIC_LDFLAG = @R_DYNAMIC_LDFLAG@
  328 SED = @SED@
  329 SELINUX_CFLAGS = @SELINUX_CFLAGS@
  330 SELINUX_LIBS = @SELINUX_LIBS@
  331 SET_MAKE = @SET_MAKE@
  332 SHELL = @SHELL@
  333 SOVERSION = @SOVERSION@
  334 STRIP = @STRIP@
  335 SYSCONFDIR_FROM_PKGDATADIR = @SYSCONFDIR_FROM_PKGDATADIR@
  336 SYSTEMCTL = @SYSTEMCTL@
  337 SYSTEMD_CFLAGS = @SYSTEMD_CFLAGS@
  338 SYSTEMD_LIBS = @SYSTEMD_LIBS@
  339 TEST_LAUNCH_HELPER_BINARY = @TEST_LAUNCH_HELPER_BINARY@
  340 TEST_LISTEN = @TEST_LISTEN@
  341 TEST_SOCKET_DIR = @TEST_SOCKET_DIR@
  342 THREAD_LIBS = @THREAD_LIBS@
  343 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
  344 VALGRIND_LIBS = @VALGRIND_LIBS@
  345 VERSION = @VERSION@
  346 WARN_CFLAGS = @WARN_CFLAGS@
  347 WARN_CXXFLAGS = @WARN_CXXFLAGS@
  348 WARN_LDFLAGS = @WARN_LDFLAGS@
  349 WARN_SCANNERFLAGS = @WARN_SCANNERFLAGS@
  350 XMKMF = @XMKMF@
  351 XMLTO = @XMLTO@
  352 XSLTPROC = @XSLTPROC@
  353 X_CFLAGS = @X_CFLAGS@
  354 X_EXTRA_LIBS = @X_EXTRA_LIBS@
  355 X_LIBS = @X_LIBS@
  356 X_PRE_LIBS = @X_PRE_LIBS@
  357 YELP_BUILD = @YELP_BUILD@
  358 abs_builddir = @abs_builddir@
  359 abs_srcdir = @abs_srcdir@
  360 abs_top_builddir = @abs_top_builddir@
  361 abs_top_srcdir = @abs_top_srcdir@
  362 ac_ct_AR = @ac_ct_AR@
  363 ac_ct_CC = @ac_ct_CC@
  364 ac_ct_CXX = @ac_ct_CXX@
  365 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  366 am__include = @am__include@
  367 am__leading_dot = @am__leading_dot@
  368 am__quote = @am__quote@
  369 am__tar = @am__tar@
  370 am__untar = @am__untar@
  371 bindir = @bindir@
  372 build = @build@
  373 build_alias = @build_alias@
  374 build_cpu = @build_cpu@
  375 build_os = @build_os@
  376 build_vendor = @build_vendor@
  377 builddir = @builddir@
  378 datadir = @datadir@
  379 datarootdir = @datarootdir@
  380 dbus_daemondir = @dbus_daemondir@
  381 docdir = @docdir@
  382 dvidir = @dvidir@
  383 exec_prefix = @exec_prefix@
  384 host = @host@
  385 host_alias = @host_alias@
  386 host_cpu = @host_cpu@
  387 host_os = @host_os@
  388 host_vendor = @host_vendor@
  389 htmldir = @htmldir@
  390 ifGNUmake = @ifGNUmake@
  391 ifnGNUmake = @ifnGNUmake@
  392 includedir = @includedir@
  393 infodir = @infodir@
  394 install_sh = @install_sh@
  395 libdir = @libdir@
  396 libexecdir = @libexecdir@
  397 localedir = @localedir@
  398 localstatedir = @localstatedir@
  399 mandir = @mandir@
  400 mkdir_p = @mkdir_p@
  401 oldincludedir = @oldincludedir@
  402 pdfdir = @pdfdir@
  403 pkgconfig_prefix = @pkgconfig_prefix@
  404 pkgpyexecdir = @pkgpyexecdir@
  405 pkgpythondir = @pkgpythondir@
  406 prefix = @prefix@
  407 program_transform_name = @program_transform_name@
  408 psdir = @psdir@
  409 pyexecdir = @pyexecdir@
  410 pythondir = @pythondir@
  411 runstatedir = @runstatedir@
  412 sbindir = @sbindir@
  413 sharedstatedir = @sharedstatedir@
  414 srcdir = @srcdir@
  415 sysconfdir = @sysconfdir@
  416 systemdsystemunitdir = @systemdsystemunitdir@
  417 systemduserunitdir = @systemduserunitdir@
  418 target_alias = @target_alias@
  419 top_build_prefix = @top_build_prefix@
  420 top_builddir = @top_builddir@
  421 top_srcdir = @top_srcdir@
  422 apidir = @htmldir@/api
  423 man_pages = \
  424 	dbus-cleanup-sockets.1 \
  425 	dbus-daemon.1 \
  426 	dbus-launch.1 \
  427 	dbus-monitor.1 \
  428 	dbus-run-session.1 \
  429 	dbus-send.1 \
  430 	dbus-test-tool.1 \
  431 	dbus-update-activation-environment.1 \
  432 	dbus-uuidgen.1 \
  433 	$(NULL)
  434 
  435 MAN_XML_FILES = $(patsubst %.1,%.1.xml,$(man_pages))
  436 @DBUS_XML_DOCS_ENABLED_TRUE@man1_MANS = $(man_pages)
  437 MAN_HTML_FILES = $(patsubst %.1,%.1.html,$(man_pages))
  438 dtddir = $(datadir)/xml/dbus-1
  439 dist_dtd_DATA = \
  440 	busconfig.dtd \
  441 	introspect.dtd
  442 
  443 dist_doc_DATA = system-activation.txt
  444 
  445 # uploaded and distributed, but not installed
  446 STATIC_DOCS = \
  447 	dbus-faq.xml \
  448 	dbus-specification.xml \
  449 	dbus-test-plan.xml \
  450 	dbus-tutorial.xml \
  451 	dbus-api-design.duck \
  452 	dcop-howto.txt \
  453 	introspect.xsl
  454 
  455 EXTRA_DIST = \
  456 	file-boilerplate.c \
  457 	doxygen_to_devhelp.xsl \
  458 	$(STATIC_DOCS)
  459 
  460 html_DATA = $(am__append_1) $(am__append_2) $(am__append_3)
  461 dist_html_DATA = $(STATIC_HTML)
  462 
  463 # diagram.png/diagram.svg aren't really HTML, but must go in the same
  464 # directory as the HTML to avoid broken links
  465 STATIC_HTML = \
  466 	diagram.png \
  467 	diagram.svg \
  468 	$(NULL)
  469 
  470 
  471 # Static HTML helper files generated by yelp-build.
  472 YELP_STATIC_HTML = \
  473 	yelp.js \
  474 	C.css \
  475 	highlight.pack.js \
  476 	jquery.js \
  477 	jquery.syntax.js \
  478 	jquery.syntax.brush.html.js \
  479 	jquery.syntax.core.js \
  480 	jquery.syntax.layout.yelp.js \
  481 	$(NULL)
  482 
  483 
  484 # Content HTML files generated by yelp-build.
  485 YELP_HTML = \
  486 	dbus-api-design.html \
  487 	$(NULL)
  488 
  489 XMLTO_HTML = \
  490 	dbus-faq.html				\
  491 	dbus-specification.html			\
  492 	dbus-test-plan.html			\
  493 	dbus-tutorial.html			\
  494 	$(MAN_HTML_FILES)			\
  495 	$(NULL)
  496 
  497 @DBUS_CAN_UPLOAD_DOCS_TRUE@BONUS_FILES = \
  498 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(top_srcdir)/README \
  499 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(top_srcdir)/CONTRIBUTING.md \
  500 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(top_srcdir)/AUTHORS \
  501 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(top_srcdir)/NEWS \
  502 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(top_srcdir)/COPYING \
  503 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(top_srcdir)/ChangeLog
  504 
  505 @DBUS_CAN_UPLOAD_DOCS_TRUE@DOC_SERVER = dbus.freedesktop.org
  506 @DBUS_CAN_UPLOAD_DOCS_TRUE@DOC_WWW_DIR = /srv/dbus.freedesktop.org/www
  507 @DBUS_CAN_UPLOAD_DOCS_TRUE@SPECIFICATION_SERVER = specifications.freedesktop.org
  508 @DBUS_CAN_UPLOAD_DOCS_TRUE@SPECIFICATION_PATH = /srv/specifications.freedesktop.org/www/dbus/1.0
  509 CLEANFILES = \
  510 	$(man1_MANS) \
  511 	$(MAN_XML_FILES) \
  512 	$(XMLTO_HTML) \
  513 	$(YELP_HTML) \
  514 	$(YELP_STATIC_HTML) \
  515 	$(NULL)
  516 
  517 all: all-am
  518 
  519 .SUFFIXES:
  520 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  521 	@for dep in $?; do \
  522 	  case '$(am__configure_deps)' in \
  523 	    *$$dep*) \
  524 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  525 	        && { if test -f $@; then exit 0; else break; fi; }; \
  526 	      exit 1;; \
  527 	  esac; \
  528 	done; \
  529 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile'; \
  530 	$(am__cd) $(top_srcdir) && \
  531 	  $(AUTOMAKE) --gnu doc/Makefile
  532 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  533 	@case '$?' in \
  534 	  *config.status*) \
  535 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  536 	  *) \
  537 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  538 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  539 	esac;
  540 
  541 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  542 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  543 
  544 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  545 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  546 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  547 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  548 $(am__aclocal_m4_deps):
  549 dbus-cleanup-sockets.1.xml: $(top_builddir)/config.status $(srcdir)/dbus-cleanup-sockets.1.xml.in
  550 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  551 dbus-daemon.1.xml: $(top_builddir)/config.status $(srcdir)/dbus-daemon.1.xml.in
  552 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  553 dbus-launch.1.xml: $(top_builddir)/config.status $(srcdir)/dbus-launch.1.xml.in
  554 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  555 dbus-monitor.1.xml: $(top_builddir)/config.status $(srcdir)/dbus-monitor.1.xml.in
  556 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  557 dbus-run-session.1.xml: $(top_builddir)/config.status $(srcdir)/dbus-run-session.1.xml.in
  558 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  559 dbus-send.1.xml: $(top_builddir)/config.status $(srcdir)/dbus-send.1.xml.in
  560 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  561 dbus-test-tool.1.xml: $(top_builddir)/config.status $(srcdir)/dbus-test-tool.1.xml.in
  562 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  563 dbus-update-activation-environment.1.xml: $(top_builddir)/config.status $(srcdir)/dbus-update-activation-environment.1.xml.in
  564 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  565 dbus-uuidgen.1.xml: $(top_builddir)/config.status $(srcdir)/dbus-uuidgen.1.xml.in
  566 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  567 
  568 mostlyclean-libtool:
  569 	-rm -f *.lo
  570 
  571 clean-libtool:
  572 	-rm -rf .libs _libs
  573 install-man1: $(man1_MANS)
  574 	@$(NORMAL_INSTALL)
  575 	@list1='$(man1_MANS)'; \
  576 	list2=''; \
  577 	test -n "$(man1dir)" \
  578 	  && test -n "`echo $$list1$$list2`" \
  579 	  || exit 0; \
  580 	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
  581 	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
  582 	{ for i in $$list1; do echo "$$i"; done;  \
  583 	if test -n "$$list2"; then \
  584 	  for i in $$list2; do echo "$$i"; done \
  585 	    | sed -n '/\.1[a-z]*$$/p'; \
  586 	fi; \
  587 	} | while read p; do \
  588 	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  589 	  echo "$$d$$p"; echo "$$p"; \
  590 	done | \
  591 	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  592 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  593 	sed 'N;N;s,\n, ,g' | { \
  594 	list=; while read file base inst; do \
  595 	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  596 	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
  597 	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
  598 	  fi; \
  599 	done; \
  600 	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  601 	while read files; do \
  602 	  test -z "$$files" || { \
  603 	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
  604 	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
  605 	done; }
  606 
  607 uninstall-man1:
  608 	@$(NORMAL_UNINSTALL)
  609 	@list='$(man1_MANS)'; test -n "$(man1dir)" || exit 0; \
  610 	files=`{ for i in $$list; do echo "$$i"; done; \
  611 	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  612 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  613 	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
  614 install-dist_docDATA: $(dist_doc_DATA)
  615 	@$(NORMAL_INSTALL)
  616 	@list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
  617 	if test -n "$$list"; then \
  618 	  echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
  619 	  $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
  620 	fi; \
  621 	for p in $$list; do \
  622 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  623 	  echo "$$d$$p"; \
  624 	done | $(am__base_list) | \
  625 	while read files; do \
  626 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
  627 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
  628 	done
  629 
  630 uninstall-dist_docDATA:
  631 	@$(NORMAL_UNINSTALL)
  632 	@list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
  633 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  634 	dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
  635 install-dist_dtdDATA: $(dist_dtd_DATA)
  636 	@$(NORMAL_INSTALL)
  637 	@list='$(dist_dtd_DATA)'; test -n "$(dtddir)" || list=; \
  638 	if test -n "$$list"; then \
  639 	  echo " $(MKDIR_P) '$(DESTDIR)$(dtddir)'"; \
  640 	  $(MKDIR_P) "$(DESTDIR)$(dtddir)" || exit 1; \
  641 	fi; \
  642 	for p in $$list; do \
  643 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  644 	  echo "$$d$$p"; \
  645 	done | $(am__base_list) | \
  646 	while read files; do \
  647 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dtddir)'"; \
  648 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(dtddir)" || exit $$?; \
  649 	done
  650 
  651 uninstall-dist_dtdDATA:
  652 	@$(NORMAL_UNINSTALL)
  653 	@list='$(dist_dtd_DATA)'; test -n "$(dtddir)" || list=; \
  654 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  655 	dir='$(DESTDIR)$(dtddir)'; $(am__uninstall_files_from_dir)
  656 install-dist_htmlDATA: $(dist_html_DATA)
  657 	@$(NORMAL_INSTALL)
  658 	@list='$(dist_html_DATA)'; test -n "$(htmldir)" || list=; \
  659 	if test -n "$$list"; then \
  660 	  echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)'"; \
  661 	  $(MKDIR_P) "$(DESTDIR)$(htmldir)" || exit 1; \
  662 	fi; \
  663 	for p in $$list; do \
  664 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  665 	  echo "$$d$$p"; \
  666 	done | $(am__base_list) | \
  667 	while read files; do \
  668 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
  669 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
  670 	done
  671 
  672 uninstall-dist_htmlDATA:
  673 	@$(NORMAL_UNINSTALL)
  674 	@list='$(dist_html_DATA)'; test -n "$(htmldir)" || list=; \
  675 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  676 	dir='$(DESTDIR)$(htmldir)'; $(am__uninstall_files_from_dir)
  677 install-htmlDATA: $(html_DATA)
  678 	@$(NORMAL_INSTALL)
  679 	@list='$(html_DATA)'; test -n "$(htmldir)" || list=; \
  680 	if test -n "$$list"; then \
  681 	  echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)'"; \
  682 	  $(MKDIR_P) "$(DESTDIR)$(htmldir)" || exit 1; \
  683 	fi; \
  684 	for p in $$list; do \
  685 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  686 	  echo "$$d$$p"; \
  687 	done | $(am__base_list) | \
  688 	while read files; do \
  689 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
  690 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
  691 	done
  692 
  693 uninstall-htmlDATA:
  694 	@$(NORMAL_UNINSTALL)
  695 	@list='$(html_DATA)'; test -n "$(htmldir)" || list=; \
  696 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  697 	dir='$(DESTDIR)$(htmldir)'; $(am__uninstall_files_from_dir)
  698 tags TAGS:
  699 
  700 ctags CTAGS:
  701 
  702 cscope cscopelist:
  703 
  704 
  705 distdir: $(BUILT_SOURCES)
  706 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  707 
  708 distdir-am: $(DISTFILES)
  709 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  710 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  711 	list='$(DISTFILES)'; \
  712 	  dist_files=`for file in $$list; do echo $$file; done | \
  713 	  sed -e "s|^$$srcdirstrip/||;t" \
  714 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  715 	case $$dist_files in \
  716 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  717 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  718 			   sort -u` ;; \
  719 	esac; \
  720 	for file in $$dist_files; do \
  721 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  722 	  if test -d $$d/$$file; then \
  723 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  724 	    if test -d "$(distdir)/$$file"; then \
  725 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  726 	    fi; \
  727 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  728 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  729 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  730 	    fi; \
  731 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  732 	  else \
  733 	    test -f "$(distdir)/$$file" \
  734 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  735 	    || exit 1; \
  736 	  fi; \
  737 	done
  738 check-am: all-am
  739 check: check-am
  740 @DBUS_DOXYGEN_DOCS_ENABLED_FALSE@all-local:
  741 all-am: Makefile $(MANS) $(DATA) all-local
  742 installdirs:
  743 	for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(docdir)" "$(DESTDIR)$(dtddir)" "$(DESTDIR)$(htmldir)" "$(DESTDIR)$(htmldir)"; do \
  744 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  745 	done
  746 install: install-am
  747 install-exec: install-exec-am
  748 install-data: install-data-am
  749 uninstall: uninstall-am
  750 
  751 install-am: all-am
  752 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  753 
  754 installcheck: installcheck-am
  755 install-strip:
  756 	if test -z '$(STRIP)'; then \
  757 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  758 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  759 	      install; \
  760 	else \
  761 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  762 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  763 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  764 	fi
  765 mostlyclean-generic:
  766 
  767 clean-generic:
  768 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  769 
  770 distclean-generic:
  771 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  772 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  773 
  774 maintainer-clean-generic:
  775 	@echo "This command is intended for maintainers to use"
  776 	@echo "it deletes files that may require special tools to rebuild."
  777 @DBUS_DOXYGEN_DOCS_ENABLED_FALSE@install-data-local:
  778 @DBUS_DOXYGEN_DOCS_ENABLED_FALSE@uninstall-local:
  779 clean: clean-am
  780 
  781 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
  782 
  783 distclean: distclean-am
  784 	-rm -f Makefile
  785 distclean-am: clean-am distclean-generic
  786 
  787 dvi: dvi-am
  788 
  789 dvi-am:
  790 
  791 html: html-am
  792 
  793 html-am:
  794 
  795 info: info-am
  796 
  797 info-am:
  798 
  799 install-data-am: install-data-local install-dist_docDATA \
  800 	install-dist_dtdDATA install-dist_htmlDATA install-htmlDATA \
  801 	install-man
  802 
  803 install-dvi: install-dvi-am
  804 
  805 install-dvi-am:
  806 
  807 install-exec-am:
  808 
  809 install-html: install-html-am
  810 
  811 install-html-am:
  812 
  813 install-info: install-info-am
  814 
  815 install-info-am:
  816 
  817 install-man: install-man1
  818 
  819 install-pdf: install-pdf-am
  820 
  821 install-pdf-am:
  822 
  823 install-ps: install-ps-am
  824 
  825 install-ps-am:
  826 
  827 installcheck-am:
  828 
  829 maintainer-clean: maintainer-clean-am
  830 	-rm -f Makefile
  831 maintainer-clean-am: distclean-am maintainer-clean-generic
  832 
  833 mostlyclean: mostlyclean-am
  834 
  835 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  836 
  837 pdf: pdf-am
  838 
  839 pdf-am:
  840 
  841 ps: ps-am
  842 
  843 ps-am:
  844 
  845 uninstall-am: uninstall-dist_docDATA uninstall-dist_dtdDATA \
  846 	uninstall-dist_htmlDATA uninstall-htmlDATA uninstall-local \
  847 	uninstall-man
  848 
  849 uninstall-man: uninstall-man1
  850 
  851 .MAKE: install-am install-strip
  852 
  853 .PHONY: all all-am all-local check check-am clean clean-generic \
  854 	clean-libtool clean-local cscopelist-am ctags-am distclean \
  855 	distclean-generic distclean-libtool distdir dvi dvi-am html \
  856 	html-am info info-am install install-am install-data \
  857 	install-data-am install-data-local install-dist_docDATA \
  858 	install-dist_dtdDATA install-dist_htmlDATA install-dvi \
  859 	install-dvi-am install-exec install-exec-am install-html \
  860 	install-html-am install-htmlDATA install-info install-info-am \
  861 	install-man install-man1 install-pdf install-pdf-am install-ps \
  862 	install-ps-am install-strip installcheck installcheck-am \
  863 	installdirs maintainer-clean maintainer-clean-generic \
  864 	mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
  865 	ps ps-am tags-am uninstall uninstall-am uninstall-dist_docDATA \
  866 	uninstall-dist_dtdDATA uninstall-dist_htmlDATA \
  867 	uninstall-htmlDATA uninstall-local uninstall-man \
  868 	uninstall-man1
  869 
  870 .PRECIOUS: Makefile
  871 
  872 
  873 @DBUS_XML_DOCS_ENABLED_TRUE@%.html: %.xml
  874 @DBUS_XML_DOCS_ENABLED_TRUE@	$(XMLTO) html-nochunks $<
  875 
  876 @DBUS_XML_DOCS_ENABLED_TRUE@%.1: %.1.xml
  877 @DBUS_XML_DOCS_ENABLED_TRUE@	$(XMLTO) man $<
  878 
  879 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@all-local:: doxygen.stamp
  880 
  881 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@doxygen.stamp: $(wildcard $(top_srcdir)/dbus/*.[ch])
  882 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	$(AM_V_GEN)cd $(top_builddir) && doxygen Doxyfile
  883 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	@touch $@
  884 
  885 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_HAVE_XSLTPROC_TRUE@dbus.devhelp2: $(srcdir)/doxygen_to_devhelp.xsl doxygen.stamp
  886 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_HAVE_XSLTPROC_TRUE@	$(XSLTPROC) -o $@ $< api/xml/index.xml
  887 
  888 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_DUCKTYPE_DOCS_ENABLED_TRUE@%.page: %.duck
  889 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_DUCKTYPE_DOCS_ENABLED_TRUE@	$(DUCKTYPE) -o $@ $<
  890 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_DUCKTYPE_DOCS_ENABLED_TRUE@%.html: %.page
  891 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_DUCKTYPE_DOCS_ENABLED_TRUE@	$(YELP_BUILD) html $<
  892 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_DUCKTYPE_DOCS_ENABLED_TRUE@$(YELP_STATIC_HTML): $(YELP_HTML)
  893 
  894 # this assumes CREATE_SUBDIRS isn't set to YES in Doxyfile
  895 # (which it isn't currently)
  896 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@install-data-local:: doxygen.stamp
  897 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	$(MKDIR_P) $(DESTDIR)$(apidir)
  898 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	$(INSTALL_DATA) api/html/* $(DESTDIR)$(apidir)
  899 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_DUCKTYPE_DOCS_ENABLED_TRUE@	$(AM_V_at)for x in $(YELP_STATIC_HTML); do \
  900 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_DUCKTYPE_DOCS_ENABLED_TRUE@		if test -e "$$x"; then \
  901 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_DUCKTYPE_DOCS_ENABLED_TRUE@			$(INSTALL_DATA) "$$x" $(DESTDIR)$(htmldir); \
  902 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_DUCKTYPE_DOCS_ENABLED_TRUE@		fi; \
  903 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@@DBUS_DUCKTYPE_DOCS_ENABLED_TRUE@	done
  904 
  905 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@uninstall-local::
  906 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	rm -f $(DESTDIR)$(apidir)/*.html
  907 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	rm -f $(DESTDIR)$(apidir)/*.png
  908 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	rm -f $(DESTDIR)$(apidir)/*.css
  909 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	rm -f $(DESTDIR)$(apidir)/*.js
  910 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	rm -f $(DESTDIR)$(htmldir)/*.css
  911 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	rm -f $(DESTDIR)$(htmldir)/*.js
  912 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	rm -f $(DESTDIR)$(htmldir)/*.html
  913 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	rm -f $(DESTDIR)$(docdir)/*.txt
  914 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	rm -f $(DESTDIR)$(htmldir)/*.png
  915 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	rm -f $(DESTDIR)$(htmldir)/*.svg
  916 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@	rmdir --ignore-fail-on-non-empty $(DESTDIR)$(apidir) || \
  917 @DBUS_DOXYGEN_DOCS_ENABLED_TRUE@		rmdir $(DESTDIR)$(apidir)
  918 
  919 @DBUS_CAN_UPLOAD_DOCS_TRUE@dbus-docs: $(STATIC_DOCS) $(dist_dtd_DATA) $(MAN_XML_FILES) $(dist_doc_DATA) $(dist_html_DATA) $(MAN_HTML_FILES) $(BONUS_FILES) doxygen.stamp $(XMLTO_HTML) $(YELP_HTML)
  920 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)rm -rf $@ $@.tmp
  921 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_GEN)$(MKDIR_P) $@.tmp/api
  922 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)cd $(srcdir) && cp $(STATIC_DOCS) @abs_builddir@/$@.tmp
  923 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)cd $(srcdir) && cp $(dist_dtd_DATA) @abs_builddir@/$@.tmp
  924 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)cd $(srcdir) && cp $(dist_doc_DATA) @abs_builddir@/$@.tmp
  925 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)cd $(srcdir) && cp $(STATIC_HTML) @abs_builddir@/$@.tmp
  926 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)cp $(XMLTO_HTML) @abs_builddir@/$@.tmp
  927 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)cp $(YELP_HTML) @abs_builddir@/$@.tmp
  928 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)for x in $(YELP_STATIC_HTML); do \
  929 @DBUS_CAN_UPLOAD_DOCS_TRUE@		if test -e "$$x"; then \
  930 @DBUS_CAN_UPLOAD_DOCS_TRUE@			cp "$$x" @abs_builddir@/$@.tmp; \
  931 @DBUS_CAN_UPLOAD_DOCS_TRUE@		fi; \
  932 @DBUS_CAN_UPLOAD_DOCS_TRUE@	done
  933 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)cp $(MAN_HTML_FILES) @abs_builddir@/$@.tmp
  934 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)cp $(MAN_XML_FILES) @abs_builddir@/$@.tmp
  935 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)cp $(BONUS_FILES) @abs_builddir@/$@.tmp
  936 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)cp -r api/html @abs_builddir@/$@.tmp/api
  937 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_at)mv $@.tmp $@
  938 
  939 @DBUS_CAN_UPLOAD_DOCS_TRUE@dbus-docs.tar.gz: dbus-docs
  940 @DBUS_CAN_UPLOAD_DOCS_TRUE@	$(AM_V_GEN)tar czf $@ $<
  941 
  942 @DBUS_CAN_UPLOAD_DOCS_TRUE@maintainer-upload-docs: dbus-docs.tar.gz dbus-docs
  943 @DBUS_CAN_UPLOAD_DOCS_TRUE@	scp dbus-docs.tar.gz $(DOC_SERVER):$(DOC_WWW_DIR)/
  944 @DBUS_CAN_UPLOAD_DOCS_TRUE@	rsync -rpvzP --chmod=Dg+s,ug+rwX,o=rX \
  945 @DBUS_CAN_UPLOAD_DOCS_TRUE@		dbus-docs/ $(DOC_SERVER):$(DOC_WWW_DIR)/doc/
  946 @DBUS_CAN_UPLOAD_DOCS_TRUE@	cd $(srcdir) && scp -p $(dist_dtd_DATA) $(SPECIFICATION_SERVER):$(SPECIFICATION_PATH)/
  947 @DBUS_CAN_UPLOAD_DOCS_FALSE@maintainer-upload-docs:
  948 @DBUS_CAN_UPLOAD_DOCS_FALSE@	@echo "Can't upload documentation! Re-run configure with"
  949 @DBUS_CAN_UPLOAD_DOCS_FALSE@	@echo "  --enable-doxygen-docs --enable-xml-docs --enable-ducktype-docs"
  950 @DBUS_CAN_UPLOAD_DOCS_FALSE@	@false
  951 
  952 clean-local:
  953 	rm -f $(html_DATA)
  954 	rm -rf api
  955 	rm -rf dbus-docs dbus-docs.tmp
  956 	rm -f *.1.html
  957 	rm -f doxygen.stamp
  958 
  959 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  960 # Otherwise a system limit (for SysV at least) may be exceeded.
  961 .NOEXPORT: